@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600&family=Roboto:wght@300;400;500;700;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poiret+One&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Monoton&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Russo+One&display=swap");
@import url(custom-classes.css);

*:not(.btn):not(.iframeWrap *):not(.summernote-wrap *):not(.blogData *) {
  box-sizing: border-box;
  color: var(--text-color);
}
/* width */
::-webkit-scrollbar {
  width: 7px;
  height: 10px;
}
/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}
/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--primary-color);
  border-radius: 10px;
}
/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: var(--secondary-color);
}

body {
  font-family: "Roboto", sans-serif;
  background-color: var(--body-color);
}
body.addon {
  /* background: linear-gradient(180deg,black,var(--contrast-color)); */

  &::before {
    content: "";
    background-image: url("../images/hero-section-bg.webp");
    /* background-size: cover; */
    /* background-repeat: no-repeat; */
    background-position: center;
    position: fixed;
    width: 100%;
    height: 100%;
    opacity: 0.03;
    z-index: -10;
  }
  &::after {
    background: linear-gradient(180deg, black, var(--contrast-color));
    content: "";
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: -999999999;
    opacity: 0.5;
  }
}
.main_logo {
  height: 50px;
}
.codeBlock {
  font-family: "Poppins", sans-serif;
}

::selection {
  background: var(--primary-color);
  color: var(--contrast-color);
}

.btn-check:focus + .btn,
.btn:focus {
  box-shadow: none;
}

.copyMessage {
  display: none;
}

.codeContainer {
  height: 200px;
  overflow-y: scroll;
}

.sidebar {
  background: var(--primary-color);
  height: calc(100vh - 30px);
  margin: 15px 0;
  border-radius: 10px;
}
.sidebar .logo {
  height: 85px;
}
.sidebar .search input::placeholder {
  color: gray;
}
.sidebar .menus a {
  display: block;
}
.sidebar .menus ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.sidebar .menus ul li {
  margin: 2px 0;
  padding: 10px 20px;
  cursor: pointer;
}
.sidebar .menus ul li:hover {
  background-color: var(--body-color);
}

.sidebar .menus ul li ul li {
  padding: 5px 0;
}
.sidebar .dd-items {
  display: none;
}
a,
a:hover {
  text-decoration: none;
}
a:hover {
  color: inherit;
}

.component-banner::before {
  content: attr(data-title);
  position: absolute;
  font-size: 150px;
  color: var(--body-color);
  opacity: 0.05;
  text-transform: uppercase;
  font-family: "Monoton", sans-serif;
  line-height: 1;
  text-align: center;
}

.display-components .display-components-wrap {
  overflow: hidden;
  border: 1px solid var(--primary-color);
  border-radius: 10px;
  position: relative;
  transition: 0.3s;
}

/* homepage  */
.heroSection {
  /* height: 500px; */
  position: relative;
  background-color: var(--primary-color);
}
.heroSection svg {
  /* position: absolute; */
  width: 100%;
  /* height: 100%; */
}
.heroSection svg text {
  text-transform: uppercase;
  animation: stroke 5s infinite alternate;
  stroke-width: 2;
  font-size: 140px;
}
@keyframes stroke {
  0% {
    fill: rgba(72, 138, 20, 0);
    stroke: var(--text-color);
    stroke-dashoffset: 25%;
    stroke-dasharray: 0 50%;
    stroke-width: 2;
  }
  70% {
    fill: rgba(72, 138, 20, 0);
    stroke: var(--primary-color);
  }
  80% {
    fill: rgba(72, 138, 20, 0);
    stroke: var(--primary-color);
    stroke-width: 3;
  }
  100% {
    fill: var(--primary-color);
    stroke: rgba(54, 95, 160, 0);
    stroke-dashoffset: -25%;
    stroke-dasharray: 50% 0;
    stroke-width: 0;
  }
}

#frameworks_display .p-btn-outline:hover h5 {
  background-color: var(--body-color) !important;
}

.btn_view.active,
.btn_view.active * {
  color: var(--contrast-color) !important;
  border-color: var(--contrast-color) !important;
  transition: 0.3s;
}

section.hero-section {
  /* height: 100vh; */
  background-color: var(--body-color);
  position: relative;
}
section.hero-section::before {
  content: "";
  background-image: url("../images/hero-section-bg.webp");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  width: 100%;
  height: 100%;
  opacity: 0.03;
}
.search .form-control:focus {
  border: none !important;
  box-shadow: none !important;
}
.search .form-control:focus-visible {
  outline: none !important;
}
.result_box {
  display: none;
}

.result_box ul::-webkit-scrollbar {
  width: 2px;
  height: 10px;
}
.result_box ul::-webkit-scrollbar-track {
  background: transparent;
}
.result_box ul::-webkit-scrollbar-thumb {
  background: gray;
  border-radius: 10px;
}
.result_box ul::-webkit-scrollbar-thumb:hover {
  background: lightgray;
}
.result_box ul {
  max-height: 350px;
  overflow-y: scroll;
}
.result_box li:hover a {
  color: var(--contrast-color) !important;
}

.register_section .form-control,
.login-wrap .form-control {
  background: transparent !important;
}
.register_section .form-control::placeholder,
.login-wrap .form-control::placeholder {
  color: var(--primary-color);
}
.text-danger.small.text-end {
  color: #ff9ea8 !important;
}

/* dashboard  */

#showPreviewModal iframe {
  min-height: 500px;
}

.select2-container * {
  background-color: var(--primary-color);
  color: var(--text-color);
}
.modal .select2-container * {
  background-color: inherit !important;
  /* color: var(--body-color) !important; */
}
.select2-container {
  border: 1px solid;
  border-radius: 5px;
  z-index: 99999999999;
  /* width: 100% !important; */
}
.select2-container .select2-selection--single {
  height: 38px !important;
  font-size: 12px;
}
.select2-container .select2-selection--multiple {
  background-color: var(--primary-color) !important;
}
.select2-container--default
  .select2-selection--multiple
  .select2-selection__choice {
  background-color: transparent !important;
}
.select2-results__option.select2-results__option--selectable {
  font-size: 14px;
}
.select2-container--default .select2-selection--single {
  border: none !important;
}
.select2-container--default .select2-results__option--selected {
  background-color: var(--body-color) !important;
  color: var(--contrast-color);
}
.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  line-height: 38px !important;
  color: var(--text-color) !important;
}
.confirmationPopup {
  display: none;
}
.tooltip-content {
  width: 250px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  position: relative;
}
.tooltip-container span {
  position: absolute;
  left: 50%;
  top: 50%;
  background: var(--primary-color);
  padding: 10px;
  border-radius: 5%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 12px;
  z-index: 10;
  display: none;
  opacity: 0.9;
}
.tooltip-container:hover span {
  display: block;
}
.modal button.btn-close {
  filter: invert(1);
}
.dashboard .form-control {
  color: var(--text-color) !important;
  background-color: var(--primary-color) !important;
}
.dashboard .modal .form-control:not(.text-white) {
  color: var(--primary-color) !important;
  background-color: transparent !important;
}

#remarksModal .messages {
  max-height: 300px;
  overflow-y: scroll;
}

.blogCard:hover {
  background-color: var(--contrast-color) !important;
  transition: 0.3s;
}
.blogCard:hover a.btn {
  background-color: var(--secondary-color) !important;
  transition: 0.3s;
}
.blogCard:hover h5 {
  color: var(--secondary-color) !important;
  transition: 0.3s;
}
.blogCard:hover img {
  border-color: var(--secondary-color) !important;
  transition: 0.3s;
}
body:not(.col-body) {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}
.col-body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}
.p-bg li a:hover {
  color: var(--contrast-color) !important;
}
.filter-wrap .items {
  width: 0;
  transition: 0.3s;
  overflow: hidden;
}
.filter-wrap .items.show {
  width: 100%;
}
.filter-wrap .slideWindow {
  width: 0;
  height: 100vh;
  position: fixed;
  right: 0;
  background-color: var(--primary-color);
  top: 0;
  z-index: 99999999999999999;
  border-radius: 10px 0 0 10px;
  transition: 0.2s;
  overflow: hidden;
  display: flex;
  align-items: center;
  border: 1px solid var(--contrast-color);
}
.filter-wrap .slideWindow.show {
  width: 25vw;
  transition: 0.2s;
}
/* 1366 media query  */
@media (min-width: 600px) AND (max-width: 1366px) {
  .dashboard th {
    font-size: 14px;
  }

  .dashboard td {
    font-size: 14px;
  }

  p {
    font-size: 14px;
  }

  .menus li * {
    font-size: 14px;
  }

  .dashboard a {
    font-size: 14px;
  }
}

/* radio button  */
.radio-button {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-direction: row-reverse;
  margin: 10px;
  font-size: 14px;
  cursor: pointer;
}
.radio-button input {
  display: none;
  width: 0;
  height: 0;
}
.radio-button span {
  width: 20px;
  height: 20px;
  position: relative;
  margin-right: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 15%;
  background-color: transparent;
  border: 1px solid var(--contrast-color);
}
.radio-button input:checked + span:after {
  content: "";
  display: block;
  width: 8px;
  height: 8px;
  border-radius: 15%;
  background-color: #ffffff;
}
.radio-button input:checked + span {
  background-color: var(--contrast-color);
}
.radio-button input:disabled + span {
  background-color: var(--body-color);
}
.radio-button span:before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  opacity: 0;
  border-radius: 15%;
  background-color: #ffffff;
}
.radio-button input:checked + span:before {
  animation: growAndFade 0.2s ease-out;
}
@keyframes growAndFade {
  0% {
    opacity: 1;
    transform: scale(1);
  }
  50% {
    opacity: 0.5;
    transform: scale(1.5);
  }
  100% {
    opacity: 0;
    transform: scale(2);
  }
}
.slick-slide {
  height: auto !important;
}

.accordion-button:focus {
  z-index: 3;
  border-color: none;
  outline: 0;
  box-shadow: none;
}
.accordion-item {
  background-color: var(--body-color);
  border: 1px solid gray;
}
.accordion-item:last-child {
  border: none;
}
